### Constructor

# Gtk SortListModel new

#### Declaration [src]

    GtkSortListModel*
    gtk_sort_list_model_new (
      GListModel* model,
      GtkSorter* sorter
    )

#### Description [src]

Creates a new sort list model that uses the `sorter` to sort `model`.

#### Parameters

`model` | `GListModel*`
| The model to sort.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`sorter` | `GtkSorter`
| The `GtkSorter` to sort `model` with,.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkSortListModel`
| A new `GtkSortListModel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.